{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>

<body>

    {% block content %}
    <main>
        <div>
            <h1>{{todo_list.name}}</h1>
            <div>
                <p>
                    <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a>
                </p>
                <p>
                    <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
                </p>
            </div>
            <h2>Tasks</h2>

            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>

                <tbody>
                    {% for index in todo_list.items.all %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_item_update' index.id %}">{{ index.task }}</a>
                        </td>
                        <td>{{ index.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>

            </table>
        </div>
    </main>
    {% endblock content %}

</body>


</html>
